Subject: Re: IPv6 route buffer space problem

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Fri, 19 Nov 2004 19:21:48 -0200

Gianluca wrote:
> Hi, i have a problem when i add more than 500/540 sit interfaces on my linux 
> box (debian), if i add a new interface (with iptunnel and ifconfig) i 
> haven't errors but when i add a new router for the interface i have this 
> error "No buffer space available".
> I had search on /proc for increment the buffer but i dont have found 
> anythink, i think that i need to modify the kernel sources.
> Please help me.

Humm, time to look at the relevant codepaths and find some bogus return
-ENOBUFS?

What kernel version exactly?

- Arnaldo